# Generated from wisp-schema-1.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wisp-schema

Name: rubygem-%{gem_name}
Version: 1.2.3
Release: 1%{?dist}
Summary: Wisp's schema
License: MIT
URL: https://github.com/rainforestapp/wisp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This gem contains Wisp's JSON schema definition.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/canary-nouns.json
%{gem_instdir}/canary-wisp.json
%{gem_libdir}
%{gem_instdir}/nouns.json
%{gem_instdir}/stable
%{gem_instdir}/wisp.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.2.3-1
- Initial package
